@tailwind base;

body {
    @apply text-black bg-white;
    @apply dark:text-white dark:bg-gray-900;
}

body.rtl {
    direction: rtl;
}

#js-only {
    @apply hidden;
}

a {
    @apply underline;
}

/* navbar */
.navbar {
    @apply px-4 py-2;
    @apply bg-purple-900 text-white;
}
.navbar img {
    @apply mr-2 inline;
    max-height: 2rem;
}
body.rtl .navbar img {
    @apply mr-0 ml-2;
}
.navbar-brand {
    @apply flex items-center;
}
.navbar-brand > button {
    @apply flex-none;
}
.navbar-brand > div {
    @apply flex-auto text-center;
}
.navbar-brand,
#menu {
    @apply max-w-screen-xl mx-auto;
}
.navbar-menu {
    @apply border rounded cursor-pointer;
    @apply border-white;
}

#menu {
    @apply mt-4;
}
#menu li {
    @apply py-1;
}
.lang-menu ul li {
    @apply ml-5;
}
.active {
    @apply border-b-2 border-white;
}

/* modales */
.modal {
    @apply transition-opacity duration-300 ease-in-out;
    @apply fixed w-full h-full top-0 left-0 flex items-center justify-center;
}
.modal.inactive {
    @apply opacity-0 pointer-events-none;
}
.modal-overlay {
    @apply absolute w-full h-full bg-gray-700 opacity-75;
}
.modal-container {
    @apply bg-white w-11/12 mx-auto rounded shadow-lg z-50 overflow-y-auto;
    @apply dark:bg-gray-900;
}
@media (min-width: 768px) {
    .modal-container {
        @apply max-w-md;
    }
}
.modal-title {
    @apply flex justify-between items-center pb-3;
}
.modal-content {
    @apply py-4 text-left px-6;
}
body.modal-active {
    @apply overflow-x-hidden;
    @apply overflow-y-visible !important;
}
input {
    @apply border rounded-lg w-full p-2 mb-2;
    @apply border-gray-300 bg-white text-black;
    @apply dark:border-gray-700;
}
.modal input[type="checkbox"] {
    @apply mb-4;
}
input[type="checkbox"] {
    @apply w-auto;
}
input::placeholder {
    @apply text-gray-600;
    @apply dark:text-gray-800;
}
.btn {
    @apply border border-white rounded-lg p-2 mr-2;
    @apply bg-purple-800 text-white !important;
    @apply dark:bg-purple-700 dark:border-gray-700;
}
.btn:disabled {
    @apply opacity-50 cursor-not-allowed;
}
.btn.cancel {
    @apply float-right mr-0;
}
.modal h1 {
    @apply text-2xl font-bold;
}
.modal .e-i-data {
    @apply mb-2;
}
.modal .msg-btn {
    @apply mb-4 mt-2;
}

/* Icons */
svg {
    @apply h-4 w-4;
    @apply text-black;
    @apply dark:text-white;
}
.navbar svg {
    @apply text-white;
}
.icon-hamburger {
    @apply h-8 w-8;
}
.icon-language,
.icon-caret-down,
.icon-caret-up {
    @apply inline-block;
}
.icon-download,
.icon-upload,
.icon-plus-button,
.icon-info,
.icon-sort,
.icon-download-document {
    @apply h-6 w-6;
}
#menu .icon-trash,
#menu .icon-edit,
.icon-plus-button {
    @apply -mb-1;
}
.icon-download,
.icon-upload {
    @apply inline-block;
}
.icon-sort,
.icon-download-document {
    @apply inline;
}

/* List content */
main {
    @apply p-4 max-w-screen-xl mx-auto;
}
main h1,
main h2 {
    @apply font-bold mb-2;
}
main h1 {
    @apply text-2xl font-bold mb-2;
}
main .sort-method,
main .export-list {
    @apply text-lg;
}
main .sort-method {
    @apply italic px-2 ml-2;
}
body.rtl main .sort-method,
body.rtl main .export-list {
    @apply ml-0 mr-2;
}
main h2 {
    @apply text-xl font-bold mb-2;
}
main .modif svg {
    @apply text-lg;
    @apply h-6 w-6;
    @apply mx-1 mb-1;
}
main li > * {
    @apply align-middle;
}
main ul,
main hr {
    @apply mb-2;
}
@tailwind utilities;
